=== debian/changelog ===
tpm2-pk11 (0~git20171109-1) unstable; urgency=medium

  * Initial release (Closes: #881340)

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 10 Nov 2017 22:57:30 +0800
