=== debian/control ===
Source: tpm2-pk11
Section: net
Priority: optional
Maintainer: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper (>= 10),
               cmake (>=3.1),
               pkg-config,
               libp11-kit-dev,
               libsapi-dev
Standards-Version: 4.1.1
Homepage: https://github.com/irtimmer/tpm2-pk11
Vcs-Git: https://anonscm.debian.org/git/collab-maint/tpm2-pk11.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/tpm2-pk11.git

Package: tpm2-pk11
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: openssh-client
Description: library for using the TPM 2.0 chip to secure SSH keys
 tpm2-pk11 is an utility to provide a PKCS#11 backend for a TPM 2.0 (Trusted
 Platform Module) chip in order to secure your SSH keys. The package comes
 with a library that you can use as “PKCS11Provider” in your SSH
 configuration file.
