=== debian/changelog ===
tpm2-pk11 (0~git20180426-1) unstable; urgency=medium

  * Import new upstream (Closes: #884486)
  * d/control: bump Standards-Version to 4.1.4
               bump debhelper version to 11
               tweak description for matching with new release from upstream
  * d/compat: bump compat version to 11
  * Converting git-dpm to gbp pq

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 02 May 2018 15:42:30 +0800

tpm2-pk11 (0~git20171213-1) UNRELEASED; urgency=medium

  * Import new upstream
  * Move package from experimental to sid archive
  * d/control: Bump Standards-Version to 4.1.2
  * Move VCS to salsa

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 14 Dec 2017 11:04:24 +0800

tpm2-pk11 (0~git20171109-2) experimental; urgency=medium

  * Move the package from unstable to experimental archive since
    it is still in development

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 28 Nov 2017 22:58:32 +0800
