=== debian/control ===
Source: tpm2-pk11
Section: net
Priority: optional
Maintainer: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper (>= 11),
               cmake (>=3.1),
               pkg-config,
               libp11-kit-dev,
               libsapi-dev,
               libtasn1-6-dev
Standards-Version: 4.1.4
Homepage: https://github.com/irtimmer/tpm2-pk11
Vcs-Git: https://salsa.debian.org/debian/tpm2-pk11.git
Vcs-Browser: https://salsa.debian.org/debian/tpm2-pk11

Package: tpm2-pk11
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: openssh-client
Description: PKCS11 provider for TPM 2.0
 tpm2-pk11 is an utility to provide a PKCS#11 backend for a TPM 2.0 (Trusted
 Platform Module) chip. This allows you to use your TPM keys in every
 application which support the PKCS #11 standard.
